Code afférent au projet Kouglof 2 de l'E2L
Nie możesz wybrać więcej, niż 25 tematów Tematy muszą się zaczynać od litery lub cyfry, mogą zawierać myślniki ('-') i mogą mieć do 35 znaków.
 
 
 
 
 

783 wiersze
24 KiB

  1. # Makefile.in generated by automake 1.16.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2018 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. #####################################################
  13. # Makefile.am for septime project : upper directory #
  14. #####################################################
  15. VPATH = @srcdir@
  16. am__is_gnu_make = { \
  17. if test -z '$(MAKELEVEL)'; then \
  18. false; \
  19. elif test -n '$(MAKE_HOST)'; then \
  20. true; \
  21. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  22. true; \
  23. else \
  24. false; \
  25. fi; \
  26. }
  27. am__make_running_with_option = \
  28. case $${target_option-} in \
  29. ?) ;; \
  30. *) echo "am__make_running_with_option: internal error: invalid" \
  31. "target option '$${target_option-}' specified" >&2; \
  32. exit 1;; \
  33. esac; \
  34. has_opt=no; \
  35. sane_makeflags=$$MAKEFLAGS; \
  36. if $(am__is_gnu_make); then \
  37. sane_makeflags=$$MFLAGS; \
  38. else \
  39. case $$MAKEFLAGS in \
  40. *\\[\ \ ]*) \
  41. bs=\\; \
  42. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  43. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  44. esac; \
  45. fi; \
  46. skip_next=no; \
  47. strip_trailopt () \
  48. { \
  49. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  50. }; \
  51. for flg in $$sane_makeflags; do \
  52. test $$skip_next = yes && { skip_next=no; continue; }; \
  53. case $$flg in \
  54. *=*|--*) continue;; \
  55. -*I) strip_trailopt 'I'; skip_next=yes;; \
  56. -*I?*) strip_trailopt 'I';; \
  57. -*O) strip_trailopt 'O'; skip_next=yes;; \
  58. -*O?*) strip_trailopt 'O';; \
  59. -*l) strip_trailopt 'l'; skip_next=yes;; \
  60. -*l?*) strip_trailopt 'l';; \
  61. -[dEDm]) skip_next=yes;; \
  62. -[JT]) skip_next=yes;; \
  63. esac; \
  64. case $$flg in \
  65. *$$target_option*) has_opt=yes; break;; \
  66. esac; \
  67. done; \
  68. test $$has_opt = yes
  69. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  70. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  71. pkgdatadir = $(datadir)/@PACKAGE@
  72. pkgincludedir = $(includedir)/@PACKAGE@
  73. pkglibdir = $(libdir)/@PACKAGE@
  74. pkglibexecdir = $(libexecdir)/@PACKAGE@
  75. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  76. install_sh_DATA = $(install_sh) -c -m 644
  77. install_sh_PROGRAM = $(install_sh) -c
  78. install_sh_SCRIPT = $(install_sh) -c
  79. INSTALL_HEADER = $(INSTALL_DATA)
  80. transform = $(program_transform_name)
  81. NORMAL_INSTALL = :
  82. PRE_INSTALL = :
  83. POST_INSTALL = :
  84. NORMAL_UNINSTALL = :
  85. PRE_UNINSTALL = :
  86. POST_UNINSTALL = :
  87. subdir = .
  88. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  89. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  90. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  91. $(ACLOCAL_M4)
  92. DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  93. $(am__configure_deps) $(am__DIST_COMMON)
  94. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  95. configure.lineno config.status.lineno
  96. mkinstalldirs = $(install_sh) -d
  97. CONFIG_HEADER = config.h
  98. CONFIG_CLEAN_FILES =
  99. CONFIG_CLEAN_VPATH_FILES =
  100. AM_V_P = $(am__v_P_@AM_V@)
  101. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  102. am__v_P_0 = false
  103. am__v_P_1 = :
  104. AM_V_GEN = $(am__v_GEN_@AM_V@)
  105. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  106. am__v_GEN_0 = @echo " GEN " $@;
  107. am__v_GEN_1 =
  108. AM_V_at = $(am__v_at_@AM_V@)
  109. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  110. am__v_at_0 = @
  111. am__v_at_1 =
  112. SOURCES =
  113. DIST_SOURCES =
  114. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  115. ctags-recursive dvi-recursive html-recursive info-recursive \
  116. install-data-recursive install-dvi-recursive \
  117. install-exec-recursive install-html-recursive \
  118. install-info-recursive install-pdf-recursive \
  119. install-ps-recursive install-recursive installcheck-recursive \
  120. installdirs-recursive pdf-recursive ps-recursive \
  121. tags-recursive uninstall-recursive
  122. am__can_run_installinfo = \
  123. case $$AM_UPDATE_INFO_DIR in \
  124. n|no|NO) false;; \
  125. *) (install-info --version) >/dev/null 2>&1;; \
  126. esac
  127. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  128. distclean-recursive maintainer-clean-recursive
  129. am__recursive_targets = \
  130. $(RECURSIVE_TARGETS) \
  131. $(RECURSIVE_CLEAN_TARGETS) \
  132. $(am__extra_recursive_targets)
  133. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  134. cscope distdir distdir-am dist dist-all distcheck
  135. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  136. $(LISP)config.h.in
  137. # Read a list of newline-separated strings from the standard input,
  138. # and print each of them once, without duplicates. Input order is
  139. # *not* preserved.
  140. am__uniquify_input = $(AWK) '\
  141. BEGIN { nonempty = 0; } \
  142. { items[$$0] = 1; nonempty = 1; } \
  143. END { if (nonempty) { for (i in items) print i; }; } \
  144. '
  145. # Make sure the list of sources is unique. This is necessary because,
  146. # e.g., the same source file might be shared among _SOURCES variables
  147. # for different programs/libraries.
  148. am__define_uniq_tagged_files = \
  149. list='$(am__tagged_files)'; \
  150. unique=`for i in $$list; do \
  151. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  152. done | $(am__uniquify_input)`
  153. ETAGS = etags
  154. CTAGS = ctags
  155. CSCOPE = cscope
  156. DIST_SUBDIRS = $(SUBDIRS)
  157. am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
  158. COPYING ChangeLog INSTALL NEWS README compile depcomp \
  159. install-sh missing
  160. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  161. distdir = $(PACKAGE)-$(VERSION)
  162. top_distdir = $(distdir)
  163. am__remove_distdir = \
  164. if test -d "$(distdir)"; then \
  165. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  166. && rm -rf "$(distdir)" \
  167. || { sleep 5 && rm -rf "$(distdir)"; }; \
  168. else :; fi
  169. am__post_remove_distdir = $(am__remove_distdir)
  170. am__relativize = \
  171. dir0=`pwd`; \
  172. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  173. sed_rest='s,^[^/]*/*,,'; \
  174. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  175. sed_butlast='s,/*[^/]*$$,,'; \
  176. while test -n "$$dir1"; do \
  177. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  178. if test "$$first" != "."; then \
  179. if test "$$first" = ".."; then \
  180. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  181. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  182. else \
  183. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  184. if test "$$first2" = "$$first"; then \
  185. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  186. else \
  187. dir2="../$$dir2"; \
  188. fi; \
  189. dir0="$$dir0"/"$$first"; \
  190. fi; \
  191. fi; \
  192. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  193. done; \
  194. reldir="$$dir2"
  195. DIST_ARCHIVES = $(distdir).tar.gz
  196. GZIP_ENV = --best
  197. DIST_TARGETS = dist-gzip
  198. distuninstallcheck_listfiles = find . -type f -print
  199. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  200. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  201. distcleancheck_listfiles = find . -type f -print
  202. ACLOCAL = @ACLOCAL@
  203. ADMCOM = @ADMCOM@
  204. ADMCOM2 = @ADMCOM2@
  205. ADMCOM3 = @ADMCOM3@
  206. ADMCOM4 = @ADMCOM4@
  207. AMTAR = @AMTAR@
  208. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  209. AUTOCONF = @AUTOCONF@
  210. AUTOHEADER = @AUTOHEADER@
  211. AUTOMAKE = @AUTOMAKE@
  212. AWK = @AWK@
  213. CC = @CC@
  214. CCDEPMODE = @CCDEPMODE@
  215. CFLAGS = @CFLAGS@
  216. COM1 = @COM1@
  217. COM2 = @COM2@
  218. COM3 = @COM3@
  219. CPP = @CPP@
  220. CPPFLAGS = @CPPFLAGS@
  221. CYGPATH_W = @CYGPATH_W@
  222. DEFS = @DEFS@
  223. DEPDIR = @DEPDIR@
  224. ECHO_C = @ECHO_C@
  225. ECHO_N = @ECHO_N@
  226. ECHO_T = @ECHO_T@
  227. EGREP = @EGREP@
  228. EXEEXT = @EXEEXT@
  229. GREP = @GREP@
  230. INSTALL = @INSTALL@
  231. INSTALL_DATA = @INSTALL_DATA@
  232. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  233. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  234. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  235. LDFLAGS = @LDFLAGS@
  236. LIBOBJS = @LIBOBJS@
  237. LIBS = @LIBS@
  238. LTLIBOBJS = @LTLIBOBJS@
  239. MAKEINFO = @MAKEINFO@
  240. MKDIR_P = @MKDIR_P@
  241. OBJEXT = @OBJEXT@
  242. PACKAGE = @PACKAGE@
  243. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  244. PACKAGE_NAME = @PACKAGE_NAME@
  245. PACKAGE_STRING = @PACKAGE_STRING@
  246. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  247. PACKAGE_URL = @PACKAGE_URL@
  248. PACKAGE_VERSION = @PACKAGE_VERSION@
  249. PATH_SEPARATOR = @PATH_SEPARATOR@
  250. SED = @SED@
  251. SET_MAKE = @SET_MAKE@
  252. SHELL = @SHELL@
  253. STRIP = @STRIP@
  254. VERSION = @VERSION@
  255. abs_builddir = @abs_builddir@
  256. abs_srcdir = @abs_srcdir@
  257. abs_top_builddir = @abs_top_builddir@
  258. abs_top_srcdir = @abs_top_srcdir@
  259. ac_ct_CC = @ac_ct_CC@
  260. am__include = @am__include@
  261. am__leading_dot = @am__leading_dot@
  262. am__quote = @am__quote@
  263. am__tar = @am__tar@
  264. am__untar = @am__untar@
  265. bindir = @bindir@
  266. build_alias = @build_alias@
  267. builddir = @builddir@
  268. datadir = @datadir@
  269. datarootdir = @datarootdir@
  270. docdir = @docdir@
  271. dvidir = @dvidir@
  272. exec_prefix = @exec_prefix@
  273. host_alias = @host_alias@
  274. htmldir = @htmldir@
  275. includedir = @includedir@
  276. infodir = @infodir@
  277. install_sh = @install_sh@
  278. libdir = @libdir@
  279. libexecdir = @libexecdir@
  280. localedir = @localedir@
  281. localstatedir = @localstatedir@
  282. mandir = @mandir@
  283. mkdir_p = @mkdir_p@
  284. oldincludedir = @oldincludedir@
  285. pdfdir = @pdfdir@
  286. prefix = @prefix@
  287. program_transform_name = @program_transform_name@
  288. psdir = @psdir@
  289. runstatedir = @runstatedir@
  290. sbindir = @sbindir@
  291. sharedstatedir = @sharedstatedir@
  292. srcdir = @srcdir@
  293. sysconfdir = @sysconfdir@
  294. target_alias = @target_alias@
  295. top_build_prefix = @top_build_prefix@
  296. top_builddir = @top_builddir@
  297. top_srcdir = @top_srcdir@
  298. EXTRA_DIST = src/regles.txt
  299. SUBDIRS = src
  300. all: config.h
  301. $(MAKE) $(AM_MAKEFLAGS) all-recursive
  302. .SUFFIXES:
  303. am--refresh: Makefile
  304. @:
  305. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  306. @for dep in $?; do \
  307. case '$(am__configure_deps)' in \
  308. *$$dep*) \
  309. echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  310. $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  311. && exit 0; \
  312. exit 1;; \
  313. esac; \
  314. done; \
  315. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  316. $(am__cd) $(top_srcdir) && \
  317. $(AUTOMAKE) --gnu Makefile
  318. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  319. @case '$?' in \
  320. *config.status*) \
  321. echo ' $(SHELL) ./config.status'; \
  322. $(SHELL) ./config.status;; \
  323. *) \
  324. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
  325. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
  326. esac;
  327. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  328. $(SHELL) ./config.status --recheck
  329. $(top_srcdir)/configure: $(am__configure_deps)
  330. $(am__cd) $(srcdir) && $(AUTOCONF)
  331. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  332. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  333. $(am__aclocal_m4_deps):
  334. config.h: stamp-h1
  335. @test -f $@ || rm -f stamp-h1
  336. @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  337. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  338. @rm -f stamp-h1
  339. cd $(top_builddir) && $(SHELL) ./config.status config.h
  340. $(srcdir)/config.h.in: $(am__configure_deps)
  341. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  342. rm -f stamp-h1
  343. touch $@
  344. distclean-hdr:
  345. -rm -f config.h stamp-h1
  346. # This directory's subdirectories are mostly independent; you can cd
  347. # into them and run 'make' without going through this Makefile.
  348. # To change the values of 'make' variables: instead of editing Makefiles,
  349. # (1) if the variable is set in 'config.status', edit 'config.status'
  350. # (which will cause the Makefiles to be regenerated when you run 'make');
  351. # (2) otherwise, pass the desired values on the 'make' command line.
  352. $(am__recursive_targets):
  353. @fail=; \
  354. if $(am__make_keepgoing); then \
  355. failcom='fail=yes'; \
  356. else \
  357. failcom='exit 1'; \
  358. fi; \
  359. dot_seen=no; \
  360. target=`echo $@ | sed s/-recursive//`; \
  361. case "$@" in \
  362. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  363. *) list='$(SUBDIRS)' ;; \
  364. esac; \
  365. for subdir in $$list; do \
  366. echo "Making $$target in $$subdir"; \
  367. if test "$$subdir" = "."; then \
  368. dot_seen=yes; \
  369. local_target="$$target-am"; \
  370. else \
  371. local_target="$$target"; \
  372. fi; \
  373. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  374. || eval $$failcom; \
  375. done; \
  376. if test "$$dot_seen" = "no"; then \
  377. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  378. fi; test -z "$$fail"
  379. ID: $(am__tagged_files)
  380. $(am__define_uniq_tagged_files); mkid -fID $$unique
  381. tags: tags-recursive
  382. TAGS: tags
  383. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  384. set x; \
  385. here=`pwd`; \
  386. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  387. include_option=--etags-include; \
  388. empty_fix=.; \
  389. else \
  390. include_option=--include; \
  391. empty_fix=; \
  392. fi; \
  393. list='$(SUBDIRS)'; for subdir in $$list; do \
  394. if test "$$subdir" = .; then :; else \
  395. test ! -f $$subdir/TAGS || \
  396. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  397. fi; \
  398. done; \
  399. $(am__define_uniq_tagged_files); \
  400. shift; \
  401. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  402. test -n "$$unique" || unique=$$empty_fix; \
  403. if test $$# -gt 0; then \
  404. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  405. "$$@" $$unique; \
  406. else \
  407. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  408. $$unique; \
  409. fi; \
  410. fi
  411. ctags: ctags-recursive
  412. CTAGS: ctags
  413. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  414. $(am__define_uniq_tagged_files); \
  415. test -z "$(CTAGS_ARGS)$$unique" \
  416. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  417. $$unique
  418. GTAGS:
  419. here=`$(am__cd) $(top_builddir) && pwd` \
  420. && $(am__cd) $(top_srcdir) \
  421. && gtags -i $(GTAGS_ARGS) "$$here"
  422. cscope: cscope.files
  423. test ! -s cscope.files \
  424. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  425. clean-cscope:
  426. -rm -f cscope.files
  427. cscope.files: clean-cscope cscopelist
  428. cscopelist: cscopelist-recursive
  429. cscopelist-am: $(am__tagged_files)
  430. list='$(am__tagged_files)'; \
  431. case "$(srcdir)" in \
  432. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  433. *) sdir=$(subdir)/$(srcdir) ;; \
  434. esac; \
  435. for i in $$list; do \
  436. if test -f "$$i"; then \
  437. echo "$(subdir)/$$i"; \
  438. else \
  439. echo "$$sdir/$$i"; \
  440. fi; \
  441. done >> $(top_builddir)/cscope.files
  442. distclean-tags:
  443. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  444. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  445. distdir: $(BUILT_SOURCES)
  446. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  447. distdir-am: $(DISTFILES)
  448. $(am__remove_distdir)
  449. test -d "$(distdir)" || mkdir "$(distdir)"
  450. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  451. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  452. list='$(DISTFILES)'; \
  453. dist_files=`for file in $$list; do echo $$file; done | \
  454. sed -e "s|^$$srcdirstrip/||;t" \
  455. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  456. case $$dist_files in \
  457. */*) $(MKDIR_P) `echo "$$dist_files" | \
  458. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  459. sort -u` ;; \
  460. esac; \
  461. for file in $$dist_files; do \
  462. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  463. if test -d $$d/$$file; then \
  464. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  465. if test -d "$(distdir)/$$file"; then \
  466. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  467. fi; \
  468. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  469. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  470. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  471. fi; \
  472. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  473. else \
  474. test -f "$(distdir)/$$file" \
  475. || cp -p $$d/$$file "$(distdir)/$$file" \
  476. || exit 1; \
  477. fi; \
  478. done
  479. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  480. if test "$$subdir" = .; then :; else \
  481. $(am__make_dryrun) \
  482. || test -d "$(distdir)/$$subdir" \
  483. || $(MKDIR_P) "$(distdir)/$$subdir" \
  484. || exit 1; \
  485. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  486. $(am__relativize); \
  487. new_distdir=$$reldir; \
  488. dir1=$$subdir; dir2="$(top_distdir)"; \
  489. $(am__relativize); \
  490. new_top_distdir=$$reldir; \
  491. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  492. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  493. ($(am__cd) $$subdir && \
  494. $(MAKE) $(AM_MAKEFLAGS) \
  495. top_distdir="$$new_top_distdir" \
  496. distdir="$$new_distdir" \
  497. am__remove_distdir=: \
  498. am__skip_length_check=: \
  499. am__skip_mode_fix=: \
  500. distdir) \
  501. || exit 1; \
  502. fi; \
  503. done
  504. -test -n "$(am__skip_mode_fix)" \
  505. || find "$(distdir)" -type d ! -perm -755 \
  506. -exec chmod u+rwx,go+rx {} \; -o \
  507. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  508. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  509. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  510. || chmod -R a+r "$(distdir)"
  511. dist-gzip: distdir
  512. tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  513. $(am__post_remove_distdir)
  514. dist-bzip2: distdir
  515. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  516. $(am__post_remove_distdir)
  517. dist-lzip: distdir
  518. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  519. $(am__post_remove_distdir)
  520. dist-xz: distdir
  521. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  522. $(am__post_remove_distdir)
  523. dist-tarZ: distdir
  524. @echo WARNING: "Support for distribution archives compressed with" \
  525. "legacy program 'compress' is deprecated." >&2
  526. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  527. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  528. $(am__post_remove_distdir)
  529. dist-shar: distdir
  530. @echo WARNING: "Support for shar distribution archives is" \
  531. "deprecated." >&2
  532. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  533. shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  534. $(am__post_remove_distdir)
  535. dist-zip: distdir
  536. -rm -f $(distdir).zip
  537. zip -rq $(distdir).zip $(distdir)
  538. $(am__post_remove_distdir)
  539. dist dist-all:
  540. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  541. $(am__post_remove_distdir)
  542. # This target untars the dist file and tries a VPATH configuration. Then
  543. # it guarantees that the distribution is self-contained by making another
  544. # tarfile.
  545. distcheck: dist
  546. case '$(DIST_ARCHIVES)' in \
  547. *.tar.gz*) \
  548. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  549. *.tar.bz2*) \
  550. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  551. *.tar.lz*) \
  552. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  553. *.tar.xz*) \
  554. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  555. *.tar.Z*) \
  556. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  557. *.shar.gz*) \
  558. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  559. *.zip*) \
  560. unzip $(distdir).zip ;;\
  561. esac
  562. chmod -R a-w $(distdir)
  563. chmod u+w $(distdir)
  564. mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  565. chmod a-w $(distdir)
  566. test -d $(distdir)/_build || exit 0; \
  567. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  568. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  569. && am__cwd=`pwd` \
  570. && $(am__cd) $(distdir)/_build/sub \
  571. && ../../configure \
  572. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  573. $(DISTCHECK_CONFIGURE_FLAGS) \
  574. --srcdir=../.. --prefix="$$dc_install_base" \
  575. && $(MAKE) $(AM_MAKEFLAGS) \
  576. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  577. && $(MAKE) $(AM_MAKEFLAGS) check \
  578. && $(MAKE) $(AM_MAKEFLAGS) install \
  579. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  580. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  581. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  582. distuninstallcheck \
  583. && chmod -R a-w "$$dc_install_base" \
  584. && ({ \
  585. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  586. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  587. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  588. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  589. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  590. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  591. && rm -rf "$$dc_destdir" \
  592. && $(MAKE) $(AM_MAKEFLAGS) dist \
  593. && rm -rf $(DIST_ARCHIVES) \
  594. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  595. && cd "$$am__cwd" \
  596. || exit 1
  597. $(am__post_remove_distdir)
  598. @(echo "$(distdir) archives ready for distribution: "; \
  599. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  600. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  601. distuninstallcheck:
  602. @test -n '$(distuninstallcheck_dir)' || { \
  603. echo 'ERROR: trying to run $@ with an empty' \
  604. '$$(distuninstallcheck_dir)' >&2; \
  605. exit 1; \
  606. }; \
  607. $(am__cd) '$(distuninstallcheck_dir)' || { \
  608. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  609. exit 1; \
  610. }; \
  611. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  612. || { echo "ERROR: files left after uninstall:" ; \
  613. if test -n "$(DESTDIR)"; then \
  614. echo " (check DESTDIR support)"; \
  615. fi ; \
  616. $(distuninstallcheck_listfiles) ; \
  617. exit 1; } >&2
  618. distcleancheck: distclean
  619. @if test '$(srcdir)' = . ; then \
  620. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  621. exit 1 ; \
  622. fi
  623. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  624. || { echo "ERROR: files left in build directory after distclean:" ; \
  625. $(distcleancheck_listfiles) ; \
  626. exit 1; } >&2
  627. check-am: all-am
  628. check: check-recursive
  629. all-am: Makefile config.h
  630. installdirs: installdirs-recursive
  631. installdirs-am:
  632. install: install-recursive
  633. install-exec: install-exec-recursive
  634. install-data: install-data-recursive
  635. uninstall: uninstall-recursive
  636. install-am: all-am
  637. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  638. installcheck: installcheck-recursive
  639. install-strip:
  640. if test -z '$(STRIP)'; then \
  641. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  642. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  643. install; \
  644. else \
  645. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  646. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  647. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  648. fi
  649. mostlyclean-generic:
  650. clean-generic:
  651. distclean-generic:
  652. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  653. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  654. maintainer-clean-generic:
  655. @echo "This command is intended for maintainers to use"
  656. @echo "it deletes files that may require special tools to rebuild."
  657. clean: clean-recursive
  658. clean-am: clean-generic mostlyclean-am
  659. distclean: distclean-recursive
  660. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  661. -rm -f Makefile
  662. distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  663. dvi: dvi-recursive
  664. dvi-am:
  665. html: html-recursive
  666. html-am:
  667. info: info-recursive
  668. info-am:
  669. install-data-am:
  670. install-dvi: install-dvi-recursive
  671. install-dvi-am:
  672. install-exec-am:
  673. install-html: install-html-recursive
  674. install-html-am:
  675. install-info: install-info-recursive
  676. install-info-am:
  677. install-man:
  678. install-pdf: install-pdf-recursive
  679. install-pdf-am:
  680. install-ps: install-ps-recursive
  681. install-ps-am:
  682. installcheck-am:
  683. maintainer-clean: maintainer-clean-recursive
  684. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  685. -rm -rf $(top_srcdir)/autom4te.cache
  686. -rm -f Makefile
  687. maintainer-clean-am: distclean-am maintainer-clean-generic
  688. mostlyclean: mostlyclean-recursive
  689. mostlyclean-am: mostlyclean-generic
  690. pdf: pdf-recursive
  691. pdf-am:
  692. ps: ps-recursive
  693. ps-am:
  694. uninstall-am:
  695. .MAKE: $(am__recursive_targets) all install-am install-strip
  696. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  697. am--refresh check check-am clean clean-cscope clean-generic \
  698. cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  699. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  700. distcheck distclean distclean-generic distclean-hdr \
  701. distclean-tags distcleancheck distdir distuninstallcheck dvi \
  702. dvi-am html html-am info info-am install install-am \
  703. install-data install-data-am install-dvi install-dvi-am \
  704. install-exec install-exec-am install-html install-html-am \
  705. install-info install-info-am install-man install-pdf \
  706. install-pdf-am install-ps install-ps-am install-strip \
  707. installcheck installcheck-am installdirs installdirs-am \
  708. maintainer-clean maintainer-clean-generic mostlyclean \
  709. mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
  710. uninstall-am
  711. .PRECIOUS: Makefile
  712. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  713. # Otherwise a system limit (for SysV at least) may be exceeded.
  714. .NOEXPORT: